For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
            • GETList Category Trees
            • PUTUpsert Category Trees
            • DELDelete Category Trees
            • GETGet Category Tree
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogCategory Trees

Delete Category Trees

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/trees
DELETE
/stores/:store_hash/v3/catalog/trees
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/catalog/trees \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes category trees. A filter must be supplied with the endpoint.
Was this page helpful?
Previous

Upsert Category Trees

Next

Get Category Tree

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersOptional

Filter by supplying a comma-separated list of category tree IDs.

Response

Deleted

Errors

403
Forbidden Error
422
Unprocessable Entity Error